<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetServerTimeResult StructType
 * @subpackage Structs
 */
class GetServerTimeResult extends ExecutionResult
{
    /**
     * The ServerTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $ServerTime;
    /**
     * Constructor method for GetServerTimeResult
     * @uses GetServerTimeResult::setServerTime()
     * @param string $serverTime
     */
    public function __construct($serverTime = null)
    {
        $this
            ->setServerTime($serverTime);
    }
    /**
     * Get ServerTime value
     * @return string
     */
    public function getServerTime()
    {
        return $this->ServerTime;
    }
    /**
     * Set ServerTime value
     * @param string $serverTime
     * @return \StructType\GetServerTimeResult
     */
    public function setServerTime($serverTime = null)
    {
        // validation for constraint: string
        if (!is_null($serverTime) && !is_string($serverTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($serverTime, true), gettype($serverTime)), __LINE__);
        }
        $this->ServerTime = $serverTime;
        return $this;
    }
}
